Subject: Re: [PATCH] crypto: powerpc/poly1305 - Add missing poly1305_emit_arch

From: Eric Biggers <[email-masked]>
Date: Thu, 8 May 2025 09:29:54 -0700

On Thu, May 08, 2025 at 05:45:28PM +0800, Herbert Xu wrote:
> On Thu, May 08, 2025 at 02:46:06PM +0530, Venkat Rao Bagalkote wrote:
> >
> > I tested this patch by applying on next-20250507, though it fixes the build
> > issue, it has introduced a boot warning.
> 
> Looking at the history of this code it was never used as lib/crypto
> prior to commit 378a337ab40f88d63ba71d68ff578ead7f5ac8f1.  So either
> this code simply doesn't work as lib/crypto for some reason, or my
> subsequent blockhash change broke it.
> 
> Could you please revert back to commit 378a337ab40f and see if the
> lib/crypto chacha20poly1305 self-test passes with that?
> 

My patchsets "Remove per-architecture poly1305 shash glue code" and
"Finish disentangling ChaCha, Poly1305, and BLAKE2s from CRYPTO", which included
commit 378a337ab40f, passed testing with qemu-system-ppc64 with -M pseries and
-cpu in [POWER7, POWER8, POWER9, Power10].  These issues, both the build failure
and test failure, were introduced by your patchset
"crypto: lib - Add partial block helper".

- Eric